package epson.support;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import epson.print.ActivityIACommon;
import epson.print.R;

public class SupportAboutActivity extends ActivityIACommon implements View.OnClickListener {
    public void onClick(View view) {
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.help_about);

        setActionBar(R.string.tv_help_about, true);
        try {
            PackageInfo packageInfo = getPackageManager().getPackageInfo(getPackageName(), PackageManager.GET_META_DATA);
            int i = packageInfo.versionCode;
            ((TextView) findViewById(R.id.version)).setText(getResources().getString(R.string.about_ver) + " " + packageInfo.versionName + " (" + getString(R.string.build_type) + getString(R.string.build_count) + ")");
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
    }
}
